/customerio-admin | Type: Application | PCID required: Yes
Tools
customerio_admin_create_webhook
Create a reporting webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
disabled | boolean | No | — | Set to true to quit sending events to the webhook URL. Set to false to enable the webhook. |
endpoint | string | Yes | — | The webhook URL. |
events | string[] | Yes | — | Specifies the types of events you want to report to your webhook. See our reporting webhooks reference for more information about event types and the information they return. |
full_resolution | boolean | No | — | Set to false to send unique open and click events to the webhook. Set to true to send all events. |
id | integer | No | — | The identifier for the webhook. |
name | string | Yes | — | The name of your webhook. |
with_content | boolean | No | — | Set to true to include the message body in _sent events. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"disabled": {
"type": "boolean",
"description": "Set to `true` to quit sending events to the webhook URL. Set to `false` to enable the webhook."
},
"endpoint": {
"type": "string",
"description": "The webhook URL."
},
"events": {
"type": "array",
"items": {
"type": "string",
"enum": [
"customer_subscribed",
"customer_unsubscribed",
"customer_subscription_preferences_changed",
"email_drafted",
"email_attempted",
"email_sent",
"email_delivered",
"email_opened",
"email_clicked",
"email_converted",
"email_bounced",
"email_dropped",
"email_deferred",
"email_spammed",
"email_failed",
"email_unsubscribed",
"email_undeliverable",
"in_app_drafted",
"in_app_attempted",
"in_app_sent",
"in_app_opened",
"in_app_clicked",
"in_app_converted",
"in_app_failed",
"in_app_undeliverable",
"push_drafted",
"push_attempted",
"push_sent",
"push_delivered",
"push_opened",
"push_clicked",
"push_converted",
"push_bounced",
"push_dropped",
"push_failed",
"push_undeliverable",
"slack_drafted",
"slack_attempted",
"slack_sent",
"slack_clicked",
"slack_converted",
"slack_failed",
"sms_drafted",
"sms_attempted",
"sms_sent",
"sms_delivered",
"sms_clicked",
"sms_converted",
"sms_bounced",
"sms_dropped",
"sms_failed",
"sms_undeliverable",
"sms_replied",
"whatsapp_drafted",
"whatsapp_attempted",
"whatsapp_sent",
"whatsapp_delivered",
"whatsapp_opened",
"whatsapp_clicked",
"whatsapp_converted",
"whatsapp_bounced",
"whatsapp_dropped",
"whatsapp_failed",
"whatsapp_undeliverable",
"whatsapp_replied",
"webhook_drafted",
"webhook_attempted",
"webhook_sent",
"webhook_clicked",
"webhook_converted",
"webhook_failed",
"webhook_undeliverable"
]
},
"description": "Specifies the types of events you want to report to your webhook. See our [reporting webhooks reference](/api/webhooks/#operation/reportingWebhook) for more information about event types and the information they return."
},
"full_resolution": {
"type": "boolean",
"description": "Set to `false` to send unique open and click events to the webhook. Set to `true` to send all events."
},
"id": {
"type": "integer",
"description": "The identifier for the webhook."
},
"name": {
"type": "string",
"description": "The name of your webhook."
},
"with_content": {
"type": "boolean",
"description": "Set to `true` to include the message `body` in `_sent` events."
}
},
"required": [
"PCID",
"endpoint",
"events",
"name"
]
}
customerio_admin_delete_suppression
Un-suppress an ESP-suppressed address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
email_address | string | Yes | — | The email address of the person you want to look up. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"suppression_type": {
"type": "string",
"description": "The reason a person's email address was suppressed by the email service provider (ESP).",
"enum": [
"bounces",
"spam_reports"
]
},
"email_address": {
"type": "string",
"description": "The email address of the person you want to look up."
}
},
"required": [
"PCID",
"suppression_type",
"email_address"
]
}
customerio_admin_delete_webhook
Delete a reporting webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | integer | Yes | — | The identifier of a webhook. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "integer",
"description": "The identifier of a webhook."
}
},
"required": [
"PCID",
"webhook_id"
]
}
customerio_admin_download_export
Download an export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
export_id | integer | Yes | — | The export_id you want to access. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"export_id": {
"type": "integer",
"description": "The export_id you want to access."
}
},
"required": [
"PCID",
"export_id"
]
}
customerio_admin_export_deliveries_data
Export information about deliveries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID"
]
}
customerio_admin_export_people_data
Export customer data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
filters | object | Yes | — | Use and, or, and not to combine segment and attribute conditions. The top-level object accepts one property; nest groups for complex filters. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"filters": {
"description": "Use `and`, `or`, and `not` to combine segment and attribute conditions. The top-level object accepts one property; nest groups for complex filters."
}
},
"required": [
"PCID",
"filters"
]
}
customerio_admin_get_cio_allowlist
List IP addressesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_admin_get_domain_suppressions_by_type
Get ESP-suppressed emails by domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain_name | string | Yes | — | The sending domain you want to look up suppressions for. |
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
email | string | No | — | Filter results to a specific email address. When provided, returns at most one result and cursor-based pagination does not apply. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"domain_name": {
"type": "string",
"description": "The sending domain you want to look up suppressions for."
},
"suppression_type": {
"type": "string",
"description": "The reason a person's email address was suppressed by the email service provider (ESP).",
"enum": [
"bounces",
"spam_reports"
]
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"email": {
"type": "string",
"description": "Filter results to a specific email address. When provided, returns at most one result and cursor-based pagination does not apply."
}
},
"required": [
"PCID",
"domain_name",
"suppression_type"
]
}
customerio_admin_get_export
Get an export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
export_id | integer | Yes | — | The export_id you want to access. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"export_id": {
"type": "integer",
"description": "The export_id you want to access."
}
},
"required": [
"PCID",
"export_id"
]
}
customerio_admin_get_import
Retrieve a bulk import Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
import_id | integer | Yes | — | The id of the import you want to lookup. This value is returned from an import that was accepted and queued for processing. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"import_id": {
"type": "integer",
"description": "The `id` of the import you want to lookup. This value is [returned from an import](#import) that was accepted and queued for processing."
}
},
"required": [
"PCID",
"import_id"
]
}
customerio_admin_get_sender
Get a sender Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sender_id | integer | Yes | — | The identifier of a sender. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sender_id": {
"type": "integer",
"description": "The identifier of a sender."
}
},
"required": [
"PCID",
"sender_id"
]
}
customerio_admin_get_sender_usage
Get sender usage data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sender_id | integer | Yes | — | The identifier of a sender. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sender_id": {
"type": "integer",
"description": "The identifier of a sender."
}
},
"required": [
"PCID",
"sender_id"
]
}
customerio_admin_get_suppression
Look up an ESP-suppressed address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email_address | string | Yes | — | The email address of the person you want to look up. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"email_address": {
"type": "string",
"description": "The email address of the person you want to look up."
}
},
"required": [
"PCID",
"email_address"
]
}
customerio_admin_get_suppression_by_type
Get ESP-suppressed emails by type Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
offset | integer | No | — | The number of records to skip before retrieving results. |
domain | string | No | — | Filter by sending domain. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"suppression_type": {
"type": "string",
"description": "The reason a person's email address was suppressed by the email service provider (ESP).",
"enum": [
"bounces",
"spam_reports"
]
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"offset": {
"type": "integer",
"description": "The number of records to skip before retrieving results."
},
"domain": {
"type": "string",
"description": "Filter by sending domain."
}
},
"required": [
"PCID",
"suppression_type"
]
}
customerio_admin_get_webhook
Get a reporting webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | integer | Yes | — | The identifier of a webhook. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "integer",
"description": "The identifier of a webhook."
}
},
"required": [
"PCID",
"webhook_id"
]
}
customerio_admin_import
Import items in bulk Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
import | object | Yes | — | The import value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"import": {
"description": "The import value"
}
},
"required": [
"PCID",
"import"
]
}
customerio_admin_list_activities
List activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
type | string | No | — | The type of activity you want to search for. Types with _o:<object_type_id> are for objects and types with _r:<object_type_id> are for relationships. |
name | string | No | — | The name of the event or attribute you want to return. |
deleted | boolean | No | — | If true, return results for deleted people. |
customer_id | string | No | — | The identifier of the person you want to look up. By default, this is a person’s id. You can use the id_type parameter to look up a person by email or cio_id. If you use a person’s cio_id, you must prefix the value value with cio_ when using it to find or reference a person (i.e. cio_03000010 for a cio_id value of 03000010). |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"type": {
"type": "string",
"description": "The type of activity you want to search for. Types with `_o:<object_type_id>` are for objects and types with `_r:<object_type_id>` are for relationships.",
"enum": [
"add_relationship",
"anon_merge",
"attempted_action",
"attempted_email",
"attempted_in_app",
"attempted_push",
"attempted_slack",
"attempted_twilio",
"attempted_webhook",
"attempted_whatsapp",
"attribute_change",
"bounced_action",
"bounced_email",
"bounced_push",
"bounced_twilio",
"bounced_whatsapp",
"clicked_action",
"clicked_content",
"clicked_email",
"clicked_in_app",
"clicked_push",
"clicked_twilio",
"clicked_webhook",
"converted_action",
"converted_content",
"converted_email",
"converted_in_app",
"converted_slack",
"converted_twilio",
"converted_webhook",
"converted_whatsapp",
"deferred_action",
"deferred_email",
"deferred_in_app",
"deferred_push",
"deferred_slack",
"deferred_twilio",
"deferred_webhook",
"deferred_whatsapp",
"delete_relationship",
"delivered_action",
"delivered_email",
"delivered_push",
"delivered_twilio",
"delivered_whatsapp",
"device_change",
"drafted_action",
"drafted_email",
"drafted_in_app",
"drafted_push",
"drafted_slack",
"drafted_twilio",
"drafted_webhook",
"dropped_action",
"dropped_email",
"dropped_push",
"dropped_twilio",
"dropped_webhook",
"dropped_whatasapp",
"event",
"failed_action",
"failed_attribute_change",
"failed_batch_update",
"failed_email",
"failed_event",
"failed_in_app",
"failed_object_journeys",
"failed_push",
"failed_query_collection",
"failed_slack",
"failed_twilio",
"failed_webhook",
"failed_whatsapp",
"opened_action",
"opened_email",
"opened_in_app",
"opened_push",
"page",
"profile_create",
"profile_delete",
"profile_merge",
"relationship_attribute_change",
"relationship_failed_attribute_change",
"screen",
"sent_action",
"sent_email",
"sent_in_app",
"sent_push",
"sent_slack",
"sent_twilio",
"sent_webhook",
"sent_whatsapp",
"skipped_update",
"spammed_email",
"suppressed_twilio",
"suppressed_whatsapp",
"topic_unsubscribed_email",
"undeliverable_action",
"undeliverable_email",
"undeliverable_in_app",
"undeliverable_push",
"undeliverable_slack",
"undeliverable_twilio",
"undeliverable_webhook",
"undeliverable_whatsapp",
"unsubscribed_action",
"unsubscribed_email",
"viewed_content",
"webhook_event",
"_o:<object_type_id>:add_relationship",
"_o:<object_type_id>:attribute_change",
"_o:<object_type_id>:create",
"_o:<object_type_id>:delete",
"_o:<object_type_id>:delete_relationship",
"_o:<object_type_id>:failed_attribute_change",
"_r:<object_type_id>:attribute_change",
"_r:<object_type_id>:failed_attribute_change"
]
},
"name": {
"type": "string",
"description": "The name of the event or attribute you want to return."
},
"deleted": {
"type": "boolean",
"description": "If true, return results for deleted people."
},
"customer_id": {
"type": "string",
"description": "The `identifier` of the person you want to look up. By default, this is a person's `id`. You can use the `id_type` parameter to look up a person by `email` or `cio_id`. If you use a person's `cio_id`, you must prefix the value value with `cio_` when using it to find or reference a person (i.e. `cio_03000010` for a `cio_id` value of 03000010)."
},
"id_type": {
"type": "string",
"description": "The type of `customer_id` you want to use to reference a person. If you don't provide this parameter, we assume that the `customer_id` in your request is a person's `id`.",
"enum": [
"id",
"email",
"cio_id"
]
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
}
},
"required": [
"PCID"
]
}
customerio_admin_list_exports
List exportsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_admin_list_senders
List sender identities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
sort | string | No | — | Determine how you want to sort results, asc for chronological order and desc for reverse chronological order. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"sort": {
"type": "string",
"description": "Determine how you want to sort results, `asc` for chronological order and `desc` for reverse chronological order.",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID"
]
}
customerio_admin_list_webhooks
List reporting webhooksShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_admin_list_workspaces
List workspacesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_admin_post_suppression
Suppress an email at the ESP Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
email_address | string | Yes | — | The email address of the person you want to look up. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"suppression_type": {
"type": "string",
"description": "The reason a person's email address was suppressed by the email service provider (ESP).",
"enum": [
"bounces",
"spam_reports"
]
},
"email_address": {
"type": "string",
"description": "The email address of the person you want to look up."
}
},
"required": [
"PCID",
"suppression_type",
"email_address"
]
}
customerio_admin_update_attribute_metadata
Add or update attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
attributes | object[] | Yes | — | Array of attribute updates |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the attribute to update"
},
"description": {
"type": "string",
"description": "The purpose of the attribute. This helps our AI tools understand your data."
},
"privacy_level": {
"type": "integer",
"enum": [
0,
1
],
"description": "Available on Premium plans. This indicates whether an attribute is sensitive or not. 0 means NOT sensitive. 1 means sensitive."
}
},
"required": [
"name"
]
},
"description": "Array of attribute updates"
}
},
"required": [
"PCID",
"attributes"
]
}
customerio_admin_update_event_metadata
Add or update events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
events | object[] | Yes | — | Array of event updates |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"events": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the event"
},
"description": {
"type": "string",
"description": "The meaning of the event"
}
},
"required": [
"name"
]
},
"description": "Array of event updates"
}
},
"required": [
"PCID",
"events"
]
}
customerio_admin_update_webhook
Update a webhook configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | integer | Yes | — | The identifier of a webhook. |
disabled | boolean | No | — | Set to true to quit sending events to the webhook URL. Set to false to enable the webhook. |
endpoint | string | No | — | The webhook URL. |
events | string[] | No | — | Specifies the types of events you want to report to your webhook. See our reporting webhooks reference for more information about event types and the information they return. |
full_resolution | boolean | No | — | Set to false to send unique open and click events to the webhook. Set to true to send all events. |
id | integer | No | — | The identifier for the webhook. |
name | string | No | — | The name of your webhook. |
with_content | boolean | No | — | Set to true to include the message body in _sent events. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "integer",
"description": "The identifier of a webhook."
},
"disabled": {
"type": "boolean",
"description": "Set to `true` to quit sending events to the webhook URL. Set to `false` to enable the webhook."
},
"endpoint": {
"type": "string",
"description": "The webhook URL."
},
"events": {
"type": "array",
"items": {
"type": "string",
"enum": [
"customer_subscribed",
"customer_unsubscribed",
"customer_subscription_preferences_changed",
"email_drafted",
"email_attempted",
"email_sent",
"email_delivered",
"email_opened",
"email_clicked",
"email_converted",
"email_bounced",
"email_dropped",
"email_deferred",
"email_spammed",
"email_failed",
"email_unsubscribed",
"email_undeliverable",
"in_app_drafted",
"in_app_attempted",
"in_app_sent",
"in_app_opened",
"in_app_clicked",
"in_app_converted",
"in_app_failed",
"in_app_undeliverable",
"push_drafted",
"push_attempted",
"push_sent",
"push_delivered",
"push_opened",
"push_clicked",
"push_converted",
"push_bounced",
"push_dropped",
"push_failed",
"push_undeliverable",
"slack_drafted",
"slack_attempted",
"slack_sent",
"slack_clicked",
"slack_converted",
"slack_failed",
"sms_drafted",
"sms_attempted",
"sms_sent",
"sms_delivered",
"sms_clicked",
"sms_converted",
"sms_bounced",
"sms_dropped",
"sms_failed",
"sms_undeliverable",
"sms_replied",
"whatsapp_drafted",
"whatsapp_attempted",
"whatsapp_sent",
"whatsapp_delivered",
"whatsapp_opened",
"whatsapp_clicked",
"whatsapp_converted",
"whatsapp_bounced",
"whatsapp_dropped",
"whatsapp_failed",
"whatsapp_undeliverable",
"whatsapp_replied",
"webhook_drafted",
"webhook_attempted",
"webhook_sent",
"webhook_clicked",
"webhook_converted",
"webhook_failed",
"webhook_undeliverable"
]
},
"description": "Specifies the types of events you want to report to your webhook. See our [reporting webhooks reference](/api/webhooks/#operation/reportingWebhook) for more information about event types and the information they return."
},
"full_resolution": {
"type": "boolean",
"description": "Set to `false` to send unique open and click events to the webhook. Set to `true` to send all events."
},
"id": {
"type": "integer",
"description": "The identifier for the webhook."
},
"name": {
"type": "string",
"description": "The name of your webhook."
},
"with_content": {
"type": "boolean",
"description": "Set to `true` to include the message `body` in `_sent` events."
}
},
"required": [
"PCID",
"webhook_id"
]
}

